/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.aliyuncs.dycdpapi.transform.v20180129;

import com.aliyuncs.dycdpapi.model.v20180129.CreateHfqOrderResponse;
import com.aliyuncs.dycdpapi.model.v20180129.CreateHfqOrderResponse.AyFlowCloudOrderResponse;
import com.aliyuncs.transform.UnmarshallerContext;


public class CreateHfqOrderResponseUnmarshaller {

	public static CreateHfqOrderResponse unmarshall(CreateHfqOrderResponse createHfqOrderResponse, UnmarshallerContext context) {
		
		createHfqOrderResponse.setRequestId(context.stringValue("CreateHfqOrderResponse.RequestId"));
		createHfqOrderResponse.setCode(context.stringValue("CreateHfqOrderResponse.Code"));
		createHfqOrderResponse.setMessage(context.stringValue("CreateHfqOrderResponse.Message"));

		AyFlowCloudOrderResponse ayFlowCloudOrderResponse = new AyFlowCloudOrderResponse();
		ayFlowCloudOrderResponse.setResultCode(context.stringValue("CreateHfqOrderResponse.AyFlowCloudOrderResponse.ResultCode"));
		ayFlowCloudOrderResponse.setResultMsg(context.stringValue("CreateHfqOrderResponse.AyFlowCloudOrderResponse.ResultMsg"));
		ayFlowCloudOrderResponse.setOrderId(context.stringValue("CreateHfqOrderResponse.AyFlowCloudOrderResponse.OrderId"));
		createHfqOrderResponse.setAyFlowCloudOrderResponse(ayFlowCloudOrderResponse);
	 
	 	return createHfqOrderResponse;
	}
}