/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.aliyuncs.dycdpapi.transform.v20180129;

import java.util.ArrayList;
import java.util.List;

import com.aliyuncs.dycdpapi.model.v20180129.QueryHfqGradeResponse;
import com.aliyuncs.dycdpapi.model.v20180129.QueryHfqGradeResponse.Grade;
import com.aliyuncs.transform.UnmarshallerContext;


public class QueryHfqGradeResponseUnmarshaller {

	public static QueryHfqGradeResponse unmarshall(QueryHfqGradeResponse queryHfqGradeResponse, UnmarshallerContext context) {
		
		queryHfqGradeResponse.setRequestId(context.stringValue("QueryHfqGradeResponse.RequestId"));
		queryHfqGradeResponse.setCode(context.stringValue("QueryHfqGradeResponse.Code"));
		queryHfqGradeResponse.setMessage(context.stringValue("QueryHfqGradeResponse.Message"));

		List<Grade> gradeList = new ArrayList<Grade>();
		for (int i = 0; i < context.lengthValue("QueryHfqGradeResponse.GradeList.Length"); i++) {
			Grade grade = new Grade();
			grade.setGrade(context.longValue("QueryHfqGradeResponse.GradeList["+ i +"].Grade"));

			gradeList.add(grade);
		}
		queryHfqGradeResponse.setGradeList(gradeList);
	 
	 	return queryHfqGradeResponse;
	}
}